%global srcname sphinx-copybutton

# The pypi tarball does not contain the LICENSE file or the doc directory, but
# the git repository does not have any release artifacts.  Therefore, we check
# out the commit corresponding to the release from git.
%global commit      a335f3ee70bcdf442204ead0c95f48a39ea70097
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-%{srcname}
Version:        0.2.6
Release:        3%{?dist}
Summary:        Add a copy button to code cells in Sphinx docs

License:        MIT
URL:            https://sphinx-copybutton.readthedocs.io/en/latest/
Source0:        https://github.com/choldgraf/sphinx-copybutton/archive/%{commit}/%{srcname}-%{shortcommit}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%global _description %{expand:
Sphinx-copybutton does one thing: add a little "copy" button to the
right of your code blocks.  If the code block overlaps to the right of
the text area, you can just click the button to get the whole thing.}

%description
%_description

%package     -n python3-%{srcname}
Summary:        Add a copy button to code cells in Sphinx docs
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
%_description

%package        doc
Summary:        Documentation for %{srcname}

%description    doc
Documentation for %{srcname}.

%prep
%autosetup -n %{srcname}-%{commit}

# See https://github.com/choldgraf/sphinx-copybutton/issues/38 and
# https://github.com/choldgraf/sphinx-copybutton/commit/d188405cb56ec174b62e07eb939ec95d724cf86b.
sed -i 's/BSD/MIT License/' setup.py

# The flit and wheel modules are needed only for the way in which upstream
# generates tarballs for Pypi.  We do not need them.  The setuptools module is
# only needed at build time, not at runtime.
sed -i 's/"flit", "setuptools", "wheel", //' setup.py

%build
%py3_build

# Build the documentation
PYTHONPATH=$PWD/build/lib make -C doc html
rm doc/_build/html/.buildinfo

%install
%py3_install

%files       -n python3-%{srcname}
%doc README.md
%license LICENSE
%{python3_sitelib}/sphinx_copybutton*

%files          doc
%doc doc/_build/html
%license LICENSE

%changelog
* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Dec  6 2019 Jerry James <loganjerry@gmail.com> - 0.2.6-2
- Ship the LICENSE file with the -doc subpackage too

* Thu Dec  5 2019 Jerry James <loganjerry@gmail.com> - 0.2.6-1
- Initial RPM
